Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::SSHSettings Struct Reference

SSH authentication settings. More...

`import <Security.idl;`

## Public Attributes
boolean | allowPasswordAuth
| Allow password authentication.
boolean | allowPublicKeyAuth
| Allow public key authentication.

## Detailed Description

SSH authentication settings.

Definition at line 78 of file Security.idl.

## Member Data Documentation

## ◆ allowPasswordAuth

boolean security::SSHSettings::allowPasswordAuth

Allow password authentication.

Definition at line 79 of file Security.idl.

## ◆ allowPublicKeyAuth

boolean security::SSHSettings::allowPublicKeyAuth

Allow public key authentication.

Definition at line 80 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl